"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/dialogs/index.js
var dialogs_exports = {};
__export(dialogs_exports, {
  ConfirmDismissHelptips: () => ConfirmDismissHelptips,
  ConvertedImageNote: () => ConvertedImageNote,
  DeviceConnectionDialog: () => DeviceConnectionDialog,
  DeviceTypeSelectionStep: () => DeviceTypeSelectionStep,
  ExternalProviderTip: () => ExternalProviderTip,
  FeedbackDialog: () => FeedbackDialog,
  InstallationStep: () => InstallationStep,
  LogDialog: () => LogDialog2,
  PhysicalDeviceOnboarding: () => PhysicalDeviceOnboarding,
  StartupNotificationDialog: () => StartupNotificationDialog,
  VirtualDeviceOnboarding: () => VirtualDeviceOnboarding,
  getDemoDeviceCreationCommand: () => getDemoDeviceCreationCommand
});
module.exports = __toCommonJS(dialogs_exports);

// src/dialogs/confirmdismisshelptips.js
var import_react = __toESM(require("react"), 1);
var import_react_redux = require("react-redux");
var import_material = require("@mui/material");
var import_actions = __toESM(require("@northern.tech/store/actions"), 1);
var import_thunks = require("@northern.tech/store/thunks");
var import_jsx_runtime = require("react/jsx-runtime");
var { setShowDismissOnboardingTipsDialog } = import_actions.default;
var ConfirmDismissHelptips = () => {
  const dispatch = (0, import_react_redux.useDispatch)();
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.Dialog, { open: true, children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.DialogTitle, { children: "Dismiss the Getting Started help?" }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.DialogContent, { children: "Hide the help tips? You haven't finished your first update yet." }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.DialogActions, { className: "flexbox space-between", children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { onClick: () => dispatch(setShowDismissOnboardingTipsDialog(false)), children: "Cancel" }),
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { variant: "contained", color: "secondary", onClick: () => dispatch((0, import_thunks.setOnboardingCanceled)()), children: "Yes, hide the help" })
    ] })
  ] });
};

// src/dialogs/deviceconnectiondialog.js
var import_react9 = __toESM(require("react"), 1);
var import_react_redux6 = require("react-redux");
var import_react_router_dom2 = require("react-router-dom");
var import_material6 = require("@mui/material");
var import_mui5 = require("tss-react/mui");
var import_constants6 = require("@northern.tech/store/constants");
var import_selectors5 = require("@northern.tech/store/selectors");
var import_thunks5 = require("@northern.tech/store/thunks");

// ../../assets/img/docker.png
var docker_default = "../docker-NSLOZBPD.png";

// ../../assets/img/raspberrypi4.png
var raspberrypi4_default = "../raspberrypi4-RE2Z6223.png";

// ../../assets/img/raspberrypi.png
var raspberrypi_default = "../raspberrypi-Q67HH5QM.png";

// src/docslink.js
var import_react3 = __toESM(require("react"), 1);
var import_react_redux2 = require("react-redux");
var import_icons_material2 = require("@mui/icons-material");
var import_material3 = require("@mui/material");
var import_mui2 = require("tss-react/mui");
var import_constants2 = require("@northern.tech/store/constants");
var import_selectors = require("@northern.tech/store/selectors");
var import_debouncehook2 = require("@northern.tech/utils/debouncehook");

// src/mendertooltip.js
var import_react2 = __toESM(require("react"), 1);
var import_icons_material = require("@mui/icons-material");
var import_material2 = require("@mui/material");
var import_mui = require("tss-react/mui");
var import_constants = require("@northern.tech/store/constants");
var import_debouncehook = require("@northern.tech/utils/debouncehook");
var import_helpers = require("@northern.tech/utils/helpers");
var import_jsx_runtime2 = require("react/jsx-runtime");
var useStyles = (0, import_mui.makeStyles)()((theme) => ({
  icon: {
    "&.read": {
      color: theme.palette.text.disabled
    }
  },
  iconAura: {
    position: "absolute",
    top: -5,
    bottom: 0,
    left: -5,
    right: -5,
    border: `1px dashed ${theme.palette.primary.main}`,
    borderRadius: "50%",
    "&.read": {
      borderColor: theme.palette.text.disabled
    }
  }
}));
var MenderTooltip = (0, import_mui.withStyles)(import_material2.Tooltip, ({ palette, shadows, spacing }) => ({
  arrow: {
    color: palette.background.paper
  },
  tooltip: {
    backgroundColor: palette.background.paper,
    boxShadow: shadows[1],
    color: palette.text.primary,
    padding: spacing(2),
    fontSize: "small",
    maxWidth: 600,
    info: {
      maxWidth: 300,
      color: palette.text.hint,
      backgroundColor: palette.grey[500]
    }
  }
}));
var MenderTooltipClickable = ({
  children,
  onboarding,
  startOpen = false,
  visibility = startOpen,
  onOpenChange,
  tooltipComponent = MenderTooltip,
  ...remainingProps
}) => {
  const [open, setOpen] = (0, import_react2.useState)(startOpen || false);
  (0, import_react2.useEffect)(() => {
    setOpen(visibility);
  }, [visibility]);
  (0, import_react2.useEffect)(() => {
    if (!onOpenChange) {
      return;
    }
    onOpenChange(open);
  }, [open, onOpenChange]);
  const toggleVisibility = () => setOpen(import_helpers.toggle);
  const hide = () => setOpen(false);
  const Component = onboarding ? OnboardingTooltip : tooltipComponent;
  const extraProps = onboarding ? {
    PopperProps: {
      disablePortal: true,
      popperOptions: {
        strategy: "fixed",
        modifiers: [
          { name: "flip", enabled: false },
          { name: "preventOverflow", enabled: true, options: { boundary: window, altBoundary: false } }
        ]
      }
    }
  } : {};
  return /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(import_material2.ClickAwayListener, { onClickAway: hide, children: /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
    Component,
    {
      arrow: !onboarding,
      open,
      disableFocusListener: true,
      disableHoverListener: true,
      disableTouchListener: true,
      onOpen: () => setOpen(true),
      ...extraProps,
      ...remainingProps,
      children: /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("div", { onClick: toggleVisibility, children })
    }
  ) });
};
var iconWidth = 30;
var OnboardingTooltip = (0, import_mui.withStyles)(import_material2.Tooltip, (theme) => ({
  arrow: {
    color: theme.palette.primary.main
  },
  tooltip: {
    backgroundColor: theme.palette.primary.main,
    boxShadow: theme.shadows[1],
    color: theme.palette.grey[500],
    fontSize: 14,
    maxWidth: 350,
    padding: "12px 18px",
    width: 350,
    "& a": {
      color: theme.palette.grey[500]
    },
    "&.MuiTooltip-tooltipPlacementTop": { marginLeft: iconWidth, marginBottom: 0, marginTop: `calc(${iconWidth} + ${theme.spacing(1.5)})` },
    "&.MuiTooltip-tooltipPlacementRight": { marginTop: iconWidth / 2 },
    "&.MuiTooltip-tooltipPlacementBottom": { marginLeft: iconWidth },
    "&.MuiTooltip-tooltipPlacementLeft": { marginTop: iconWidth / 2 }
  },
  popper: {
    opacity: 0.9
  }
}));
var tooltipStateStyleMap = {
  [import_constants.READ_STATES.read]: "read muted",
  default: ""
};

// src/docslink.js
var import_jsx_runtime3 = require("react/jsx-runtime");
var useStyles2 = (0, import_mui2.makeStyles)()((theme) => ({
  iconAura: {
    position: "absolute",
    top: -6,
    bottom: -4,
    left: -7,
    right: -6.5,
    border: `1px dashed ${theme.palette.text.disabled}`,
    borderRadius: "50%",
    "&.hovering": {
      borderColor: "transparent"
    }
  },
  chip: {
    borderStyle: "dashed",
    [`.${import_material3.chipClasses.deleteIcon}`]: {
      fontSize: "smaller"
    },
    "&.not-hovering": {
      borderColor: "transparent",
      color: theme.palette.text.disabled,
      [`.${import_material3.chipClasses.deleteIcon}`]: {
        color: theme.palette.text.disabled
      },
      [`.${import_material3.chipClasses.label}`]: {
        paddingLeft: 0,
        visibility: "collapse"
      }
    }
  }
}));
var DocsLink = (0, import_react3.forwardRef)(({ children, className = "", path, title = "", ...remainder }, ref) => {
  const docsVersion = (0, import_react_redux2.useSelector)(import_selectors.getDocsVersion);
  const { isHosted } = (0, import_react_redux2.useSelector)(import_selectors.getFeatures);
  const target = `https://docs.mender.io/${docsVersion}${path}`;
  const onClickHandler = () => {
    const docsParams = { headers: { "x-mender-docs": docsVersion } };
    fetch(target, isHosted ? {} : docsParams);
  };
  return (
    // eslint-disable-next-line react/jsx-no-target-blank
    /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("a", { className, ...remainder, href: target, onClick: onClickHandler, ref, target: "_blank", rel: isHosted ? "noopener" : "", children: children ? children : title })
  );
});
DocsLink.displayName = "DocsLink";
var docslink_default = DocsLink;

// src/helptips/helptooltips.js
var import_react4 = __toESM(require("react"), 1);
var import_react_redux3 = require("react-redux");
var import_common_ui = require("@northern.tech/common-ui");
var import_actions2 = __toESM(require("@northern.tech/store/actions"), 1);
var import_constants3 = require("@northern.tech/store/constants");
var import_selectors2 = require("@northern.tech/store/selectors");
var import_thunks2 = require("@northern.tech/store/thunks");
var import_jsx_runtime4 = require("react/jsx-runtime");
var { setSnackbar } = import_actions2.default;
var AuthExplainButton = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_common_ui.LogDialog, {}),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("h3", { children: "Device authorization status" }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("p", { children: "Each device sends an authentication request containing its identity attributes and its current public key. You can accept, reject or dismiss these requests to determine the authorization status of the device." }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
    "In cases such as key rotation, each device may have more than one identity/key combination listed. See the documentation for more on",
    " ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_common_ui.DocsLink, { path: "overview/device-authentication", title: "Device authentication" }),
    "."
  ] })
] });
var AuthButton = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("h3", { children: "Authorize devices" }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("p", { children: "Expand this section to view the authentication options for this device. You can decide whether to accept it, reject it, or just dismiss this device for now." }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
    "See the documentation for more on ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_common_ui.DocsLink, { path: "overview/device-authentication", title: "Device authentication" }),
    "."
  ] })
] });
var AddGroup = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("h3", { children: "Device groups" }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("p", { children: "It is possible to create groups of devices. Once you have created a group and added one or more devices to it, you can deploy an update to that specific group only." })
] });
var ExpandArtifact = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("h3", { children: "Device type compatibility" }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
    "Mender Artifacts have ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("b", { children: "Device types compatible" }),
    " as part of their metadata. All devices report which device type they are, as part of their inventory information. During a deployment, Mender makes sure that a device will only download and install an Artifact it is compatible with."
  ] }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("p", { children: "You can click on each Artifact in the Release to expand the row and view more information about it." }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
    "For more information on how to specify the device type compatibility and other artifact metadata,",
    " ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_common_ui.DocsLink, { path: "artifact-creation/create-an-artifact", title: "see the documentation" }),
    "."
  ] })
] });
var DeviceSupportTip = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
  "The steps in the guide should work on most operating systems in the Debian family (e.g. Debian, Ubuntu, Raspberry Pi OS) and devices based on ARMv6 or newer (e.g. Raspberry Pi 2/3/4, Beaglebone). Visit ",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_common_ui.DocsLink, { path: "overview/device-support", title: "our documentation" }),
  " for more information about device support."
] });
var ConfigureTimezoneTip = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  "To see the effects of applying a configuration to your device you can set one of the below values to modify the timezone of your device. While all values from ",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("i", { children: "timedatectl list-timezones" }),
  " will work, to easily see the impact of the changed value you can use one of the following values:",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("ul", { children: [
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("li", { children: "Europe/Oslo" }),
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("li", { children: "America/Los_Angeles" }),
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("li", { children: "Asia/Tokyo" })
  ] }),
  "Once the configuration has been applied you can see the effect by opening the Remote Terminal to the device and executing the ",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("i", { children: "date" }),
  " command."
] });
var ConfigureRaspberryLedTip = () => {
  const dispatch = (0, import_react_redux3.useDispatch)();
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
    "To see the effects of applying a configuration to your device you can set one of the below values to modify the behaviour of your Raspberry Pi green status LED",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(
      import_common_ui.ConfigurationObject,
      {
        className: "margin-top-small margin-bottom-small",
        config: {
          mmc0: "The default, which blinks the led on storage activity",
          on: "Turn on the light permanently",
          off: "Turn off the light permanently",
          heartbeat: "Enable heartbeat blinking"
        },
        compact: true,
        setSnackbar: (...args) => dispatch(setSnackbar(...args))
      }
    ),
    "There are other possible values, but we won't advertise them here. See",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("a", { href: "http://www.d3noob.org/2020/07/controlling-activity-led-on-raspberry-pi.html", target: "_blank", rel: "noopener noreferrer", children: "this blog post" }),
    " ",
    "or",
    " ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("a", { href: "https://www.raspberrypi.org/forums/viewtopic.php?t=273194#p1658930", target: "_blank", rel: "noopener noreferrer", children: "in the Raspberry Pi forums" }),
    " ",
    "for more information."
  ] });
};
var ConfigureAddOnTip = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
  "Mender deploys the configuration attributes using the same mechanisms as software updates. The configuration is stored as a JSON file at",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("code", { children: "/var/lib/mender-configure/device-config.json" }),
  " on the device and then all the scripts in",
  " ",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("code", { children: "/usr/lib/mender-configure/apply-device-config.d/" }),
  " are executed to apply the configuration attributes. To add a new configuration attribute, you simply need to input it in the UI and add a script to that directory that applies it accordingly."
] });
var NameTagTip = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  "The ",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("i", { children: "Name" }),
  " tag will be available as a device indentifier too."
] });
var NameFilterTip = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Filtering by name is limited to devices with a previously defined name." });
var DeviceTypeTip = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
    "If you don't see your exact device on the list, choose ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("i", { children: "Generic ARMv6 or newer" }),
    " to continue the tutorial for now."
  ] }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("p", { children: [
    "(Note: if your device is ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("i", { children: "not" }),
    " based on ARMv6 or newer, the tutorial won't work - instead, go back and use the virtual device)"
  ] })
] });
var TwoFactorNote = ({ className }) => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("div", { className, children: "Two Factor Authentication is enabled for your account. If you haven't set up a 3rd party authentication app with a verification code, please contact an administrator." });
var AuditlogExplanation = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "The audit log shows the history of changes made to your Devices, Artifacts, Deployments, and user management." });
var DashboardWidget = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Add dashboard widgets to visualize the software distribution or geographical location of all your devices, or a group of your devices." });
var ScheduleDeployment = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "This time is relative to the server only \u2013 each device's time zone will not be taken into account. Devices across different time zones will receive the update at the same time." });
var GroupDeployment = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "The deployment will skip any devices in the group that are already on the target Release version, or that have an incompatible device type." });
var ForceDeployment = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("h3", { children: "Force update" }),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("p", { children: "This will make the Mender client install the update even if the selected release is already installed." })
] });
var ArtifactUpload = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Upload an Artifact to an existing or new Release" });
var PhasedPausedDeployments = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  "This feature is not available on ",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("b", { children: "phased deployments" }),
  ". If you'd like to set pause states between update steps, go back and adjust the rollout schedule to a ",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("b", { children: "single phase" }),
  "."
] });
var ResetHistory = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Greyed out items will not be considered during deployment roll out" });
var MenderArtifactUpload = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  "If there is no Release matching this Artifact\u2019s name, a new Release will be created for this Artifact.",
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("br", {}),
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("br", {}),
  "If there is already a Release matching this Artifact\u2019s name, the Artifact will be grouped in that Release."
] });
var SingleFileUpload = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "This will generate a single file application update Artifact, which requires some additional metadata to be entered." });
var GlobalSettings = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "These settings apply to all users, so changes made here may affect other users' experience." });
var Webhooks = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Use webhooks to send data about device lifecycle events to third-party systems. Currently you can only have one integration set up at a time." });
var WebhookEvents = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "You can select which type(s) of events the webhook will receive. Device authentication includes when devices are provisioned, decommissioned, or authentication status changes." });
var WebhookSecret = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "The secret is used for signing the requests sent to your webhook, to verify their authenticity. It is optional, but highly recommended for security. The secret must be a hexidecimal string (including only characters from A-F and 0-9)." });
var TenantToken = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
  /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("h3", { children: "Organization token" }),
  "This token is unique for your organization and ensures that only devices that you own are able to connect to your account."
] });
var SsoMetadata = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Submit the metadata document from your Identity Provider" });
var ReleaseName = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "If a Release with this name already exists, this new Artifact may be grouped into a Release with other Artifacts of the same name - so long as they are compatible with different device types" });
var TenantAdmin = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Set the user who will have the admin role when this tenant is created. This can be a user who already has a Mender account, or a brand new user. The tenant admin will be able to change which user(s) have this role once they begin using the tenant." });
var SubTenantDeviceLimit = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Set the maximum number of accepted devices this tenant can have connected to the server at any time. You can adjust this later. Each tenants\u2019 amount of accepted devices will count towards your total device limit." });
var SubTenantDeltaArtifactGeneration = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "TBD: is this feature still alive?" });
var SubTenantSSO = () => /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "The created tenant will inherit the same Single Sign-On configuration as this Service Provider tenant. The created tenant\u2019s admin user will not be able to change the SSO settings later." });
var AttributeLimit = () => {
  const { isHosted } = (0, import_react_redux3.useSelector)(import_selectors2.getFeatures);
  return isHosted ? /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
    "Expand to see the list of attributes currently in use. Please",
    " ",
    /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("a", { href: "mailto:support@mender.io", target: "_blank", rel: "noopener noreferrer", children: "contact our team" }),
    " ",
    "if your use case requires a different set of attributes."
  ] }) : /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "Expand to see the list of attributes currently in use." });
};
var TenantInitialAdmin = () => {
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: "The user that was assigned as admin for this tenant when it was created. There is a chance the admin user will have changed or this user no longer exists in this tenant." });
};
var HELPTOOLTIPS = {
  addGroup: { id: "addGroup", Component: AddGroup },
  artifactUpload: { id: "artifactUpload", Component: ArtifactUpload },
  attributeLimit: { id: "attributeLimit", Component: AttributeLimit },
  auditlogExplanation: { id: "auditlogExplanation", Component: AuditlogExplanation },
  authButton: { id: "authButton", Component: AuthButton },
  authExplainButton: { id: "authExplainButton", Component: AuthExplainButton },
  configureAddOnTip: { id: "configureAddOnTip", Component: ConfigureAddOnTip },
  configureRaspberryLedTip: {
    id: "configureRaspberryLedTip",
    Component: ConfigureRaspberryLedTip,
    isRelevant: ({ device = {} }) => {
      const { attributes = {} } = device;
      return ["raspberry", "rpi"].some((type) => attributes.device_type?.some((deviceType) => deviceType.startsWith(type)));
    }
  },
  configureTimezoneTip: {
    id: "configureTimezoneTip",
    Component: ConfigureTimezoneTip,
    isRelevant: ({ device = {} }) => {
      const { attributes = {} } = device;
      return ["raspberry", "rpi", "qemux86-64"].some((type) => attributes.device_type?.some((deviceType) => deviceType.startsWith(type)));
    }
  },
  dashboardWidget: { id: "dashboardWidget", Component: DashboardWidget },
  deviceSupportTip: { id: "deviceSupportTip", Component: DeviceSupportTip },
  deviceTypeTip: { id: "deviceTypeTip", Component: DeviceTypeTip },
  expandArtifact: { id: "expandArtifact", Component: ExpandArtifact },
  forceDeployment: { id: "forceDeployment", Component: ForceDeployment },
  globalSettings: { id: "globalSettings", Component: GlobalSettings },
  groupDeployment: { id: "groupDeployment", Component: GroupDeployment },
  menderArtifactUpload: { id: "menderArtifactUpload", Component: MenderArtifactUpload },
  nameFilterTip: { id: "nameFilterTip", Component: NameFilterTip },
  nameTagTip: { id: "nameTagTip", Component: NameTagTip },
  phasedPausedDeployments: { id: "phasedPausedDeployments", Component: PhasedPausedDeployments },
  releaseName: { id: "releaseName", Component: ReleaseName },
  resetHistory: { id: "resetHistory", Component: ResetHistory },
  ssoMetadata: { id: "ssoMetadata", Component: SsoMetadata },
  scheduleDeployment: { id: "scheduleDeployment", Component: ScheduleDeployment },
  singleFileUpload: { id: "singleFileUpload", Component: SingleFileUpload },
  subTenantDeltaArtifactGeneration: { id: "subTenantDeltaArtifactGeneration", Component: SubTenantDeltaArtifactGeneration },
  subTenantDeviceLimit: { id: "subTenantDeviceLimit", Component: SubTenantDeviceLimit },
  subTenantSSO: { id: "subTenantSSO", Component: SubTenantSSO },
  tenantAdmin: { id: "tenantAdmin", Component: TenantAdmin },
  tenantInitialAdmin: { id: "tenantInitialAdmin", Component: TenantInitialAdmin },
  tenantToken: { id: "tenantToken", Component: TenantToken },
  twoFactorNote: { id: "twoFactorNote", SpecialComponent: TwoFactorNote },
  webhookEvents: { id: "webhookEvents", Component: WebhookEvents },
  webhooks: { id: "webhooks", Component: Webhooks },
  webhookSecret: { id: "webhookSecret", Component: WebhookSecret }
};
var MenderHelpTooltip = (props) => {
  const { id, contentProps = {} } = props;
  const tooltipsById = (0, import_react_redux3.useSelector)(import_selectors2.getTooltipsState);
  const dispatch = (0, import_react_redux3.useDispatch)();
  const device = (0, import_react_redux3.useSelector)((state) => (0, import_selectors2.getDeviceById)(state, contentProps.deviceId));
  const { readState = import_constants3.READ_STATES.unread } = tooltipsById[id] || {};
  const { Component, SpecialComponent, isRelevant = import_constants3.yes } = HELPTOOLTIPS[id];
  const onSetTooltipReadState = (0, import_react4.useCallback)((...args) => dispatch((0, import_thunks2.setTooltipReadState)(...args)), [dispatch]);
  const onSetAllTooltipsReadState = (state) => dispatch((0, import_thunks2.setAllTooltipsReadState)(state));
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(
    import_common_ui.HelpTooltip,
    {
      setAllTooltipsReadState: onSetAllTooltipsReadState,
      setTooltipReadState: onSetTooltipReadState,
      device,
      tooltip: { Component, SpecialComponent, isRelevant, readState },
      ...props
    }
  );
};

// src/infotext.js
var import_react5 = __toESM(require("react"), 1);
var import_mui3 = require("tss-react/mui");
var import_jsx_runtime5 = require("react/jsx-runtime");
var useStyles3 = (0, import_mui3.makeStyles)()((theme) => ({
  default: { color: theme.palette.text.disabled, margin: "15px 0" }
}));
var InfoText = ({ children, className = "", variant = "", ...props }) => {
  const { classes } = useStyles3();
  const Component = variant === "dense" ? "span" : "p";
  return /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(Component, { className: `${classes.default} ${className}`, ...props, children });
};
var infotext_default = InfoText;

// src/loader.tsx
var import_jsx_runtime6 = require("react/jsx-runtime");
var Loader = (props) => {
  const { fade, show, small, style, table, waiting } = props;
  const hideClass = fade ? "hidden" : "loaderContainer shrunk";
  const showClass = table ? "miniLoaderContainer" : "loaderContainer";
  return /* @__PURE__ */ (0, import_jsx_runtime6.jsx)("div", { style, className: show ? showClass : hideClass, children: /* @__PURE__ */ (0, import_jsx_runtime6.jsxs)("div", { className: `${small ? "small" : ""} ${waiting ? "waiting-loader" : ""} loader`, children: [
    /* @__PURE__ */ (0, import_jsx_runtime6.jsx)("span", { className: "dot dot_1" }),
    /* @__PURE__ */ (0, import_jsx_runtime6.jsx)("span", { className: "dot dot_2" }),
    /* @__PURE__ */ (0, import_jsx_runtime6.jsx)("span", { className: "dot dot_3" }),
    /* @__PURE__ */ (0, import_jsx_runtime6.jsx)("span", { className: "dot dot_4" })
  ] }) });
};
var loader_default = Loader;

// src/dialogs/physicaldeviceonboarding.js
var import_react7 = __toESM(require("react"), 1);
var import_react_redux4 = require("react-redux");
var import_react_router_dom = require("react-router-dom");
var import_icons_material4 = require("@mui/icons-material");
var import_material5 = require("@mui/material");
var import_constants5 = require("@northern.tech/store/constants");
var import_selectors3 = require("@northern.tech/store/selectors");
var import_thunks3 = require("@northern.tech/store/thunks");
var import_helpers2 = require("@northern.tech/utils/helpers");

// src/copy-code.js
var import_react6 = __toESM(require("react"), 1);
var import_react_copy_to_clipboard = __toESM(require("react-copy-to-clipboard"), 1);
var import_icons_material3 = require("@mui/icons-material");
var import_material4 = require("@mui/material");
var import_mui4 = require("tss-react/mui");
var import_constants4 = require("@northern.tech/store/constants");
var import_jsx_runtime7 = require("react/jsx-runtime");
var buttonStyle = { float: "right", margin: "-20px 0 0 10px" };
var useStyles4 = (0, import_mui4.makeStyles)()((theme) => ({
  code: {
    border: "1px solid",
    borderColor: theme.palette.background.lightgrey,
    backgroundColor: theme.palette.background.lightgrey
  }
}));
var Code = ({ className = "", children, style = {} }) => {
  const { classes } = useStyles4();
  return /* @__PURE__ */ (0, import_jsx_runtime7.jsx)("div", { className: `code ${classes.code} ${className}`, style, children });
};
var CopyCode = ({ code, onCopy, withDescription }) => {
  const [copied, setCopied] = (0, import_react6.useState)(false);
  const onCopied = (_text, result) => {
    setCopied(result);
    setTimeout(() => setCopied(false), import_constants4.TIMEOUTS.fiveSeconds);
    if (onCopy) {
      onCopy();
    }
  };
  return /* @__PURE__ */ (0, import_jsx_runtime7.jsxs)(import_jsx_runtime7.Fragment, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime7.jsxs)(Code, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(import_react_copy_to_clipboard.default, { text: code, onCopy: onCopied, children: withDescription ? /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(import_material4.Button, { style: buttonStyle, startIcon: /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(import_icons_material3.FileCopy, {}), children: "Copy to clipboard" }) : /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(import_material4.IconButton, { style: buttonStyle, size: "large", children: /* @__PURE__ */ (0, import_jsx_runtime7.jsx)(import_icons_material3.FileCopy, {}) }) }),
      /* @__PURE__ */ (0, import_jsx_runtime7.jsx)("span", { style: { whiteSpace: "pre-wrap", wordBreak: "break-word" }, children: code })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime7.jsx)("p", { children: copied && /* @__PURE__ */ (0, import_jsx_runtime7.jsx)("span", { className: "green fadeIn", children: "Copied to clipboard." }) })
  ] });
};
var copy_code_default = CopyCode;

// src/dialogs/physicaldeviceonboarding.js
var import_jsx_runtime8 = require("react/jsx-runtime");
var filter = (0, import_material5.createFilterOptions)();
var types = [
  { title: "Raspberry Pi 3", value: "raspberrypi3" },
  { title: "Raspberry Pi 4", value: "raspberrypi4" }
];
var ConvertedImageNote = () => /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)("p", { children: [
  "We prepared an image, ready for Mender, for you to start with. You can find it in the",
  " ",
  /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(docslink_default, { path: "get-started/preparation/prepare-a-raspberry-pi-device", title: "Prepare a Raspberry Pi device" }),
  " documentation, which also contains instructions for initial device setup. Once you're done flashing you can go ahead and proceed to the next step."
] });
var IntegrationsLink = () => /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(import_react_router_dom.Link, { to: "/settings/integrations", target: "_blank", children: "Integration settings" });
var ExternalProviderTip = ({ hasExternalIntegration, integrationProvider: integrationProvider2 }) => /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
  MenderTooltipClickable,
  {
    className: "clickable flexbox muted",
    placement: "bottom",
    style: { alignItems: "end", marginBottom: 3 },
    title: /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("div", { style: { maxWidth: 350 }, children: hasExternalIntegration ? /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)("p", { children: [
      "Devices added here will be automatically integrated with the ",
      /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("i", { children: import_constants5.EXTERNAL_PROVIDER[integrationProvider2].title }),
      " you set in the",
      " ",
      /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(IntegrationsLink, {}),
      "."
    ] }) : /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)("p", { children: [
      "To connect your devices with ",
      /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("i", { children: import_constants5.EXTERNAL_PROVIDER[integrationProvider2].title }),
      ", go to ",
      /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(IntegrationsLink, {}),
      " and set up the integration."
    ] }) }),
    children: /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(import_icons_material4.InfoOutlined, {})
  }
);
var DeviceTypeSelectionStep = ({
  hasConvertedImage,
  hasExternalIntegration,
  integrationProvider: integrationProvider2,
  onboardingState,
  onSelect,
  selection = "",
  version
}) => {
  const shouldShowOnboardingTip = !onboardingState.complete && onboardingState.showTips;
  const hasExternalIntegrationSupport = (0, import_helpers2.versionCompare)(version, "3.2") > -1;
  return /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)(import_jsx_runtime8.Fragment, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("h4", { children: "Enter your device type" }),
    /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("p", { children: "Setting this attribute on the device ensures that the device will only receive updates for compatible software releases." }),
    /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)("div", { style: { display: "grid", gridTemplateColumns: "max-content 50px 150px", placeItems: "end center" }, children: [
      /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
        import_material5.Autocomplete,
        {
          id: "device-type-selection",
          autoSelect: true,
          autoHighlight: true,
          filterSelectedOptions: true,
          freeSolo: true,
          getOptionLabel: (option) => {
            if (typeof option === "string") {
              return option;
            }
            if (option.key === "custom" && option.value === selection) {
              return option.value;
            }
            return option.title;
          },
          handleHomeEndKeys: true,
          includeInputInList: true,
          filterOptions: (options, params) => {
            const filtered = filter(options, params);
            if (filtered.length !== 1 && params.inputValue !== "") {
              filtered.push({
                value: params.inputValue,
                key: "custom",
                title: `Use "${params.inputValue}"`
              });
            }
            return filtered;
          },
          options: types,
          onChange: onSelect,
          renderInput: (params) => /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(import_material5.TextField, { ...params, label: "Device type", placeholder: "Choose a device type", InputProps: { ...params.InputProps }, style: { marginTop: 0 } }),
          style: { maxWidth: 300 },
          value: selection
        }
      ),
      hasExternalIntegrationSupport && /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(ExternalProviderTip, { hasExternalIntegration, integrationProvider: integrationProvider2 }),
      shouldShowOnboardingTip ? /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(MenderHelpTooltip, { id: HELPTOOLTIPS.deviceTypeTip.id, placement: "bottom" }) : /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("div", {})
    ] }),
    hasConvertedImage && /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(ConvertedImageNote, {})
  ] });
};
var InstallationStep = ({ advanceOnboarding: advanceOnboarding3, selection, onboardingState, ...remainingProps }) => {
  const codeToCopy = (0, import_helpers2.getDebConfigurationCode)({ ...remainingProps, deviceType: selection, isOnboarding: !onboardingState.complete });
  return /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)(import_jsx_runtime8.Fragment, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("h4", { children: "Log into your device and install the Mender client" }),
    /* @__PURE__ */ (0, import_jsx_runtime8.jsxs)("p", { children: [
      "Copy & paste and run this command ",
      /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("b", { children: "on your device" }),
      ":"
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(copy_code_default, { code: codeToCopy, onCopy: () => advanceOnboarding3(import_constants5.onboardingSteps.DASHBOARD_ONBOARDING_START), withDescription: true }),
    /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("p", { children: "This downloads the Mender client on the device, sets the configuration and starts the client." }),
    /* @__PURE__ */ (0, import_jsx_runtime8.jsx)("p", { children: "Once the client has started, your device will attempt to connect to the server. It will then appear in your Pending devices tab and you can continue." })
  ] });
};
var steps = {
  1: DeviceTypeSelectionStep,
  2: InstallationStep
};
var integrationProvider = import_constants5.EXTERNAL_PROVIDER["iot-hub"].provider;
var PhysicalDeviceOnboarding = ({ progress }) => {
  const [selection, setSelection] = (0, import_react7.useState)("");
  const hasExternalIntegration = (0, import_react_redux4.useSelector)((state) => {
    const { credentials = {} } = state.organization.externalDeviceIntegrations.find((integration) => integration.provider === integrationProvider) ?? {};
    const { [import_constants5.EXTERNAL_PROVIDER["iot-hub"].credentialsAttribute]: azureConnectionString = "" } = credentials;
    return !!azureConnectionString;
  });
  const ipAddress = (0, import_react_redux4.useSelector)((state) => state.app.hostAddress);
  const isEnterprise = (0, import_react_redux4.useSelector)(import_selectors3.getIsEnterprise);
  const { isDemoMode, isHosted } = (0, import_react_redux4.useSelector)(import_selectors3.getFeatures);
  const isPreRelease = (0, import_react_redux4.useSelector)(import_selectors3.getIsPreview);
  const onboardingState = (0, import_react_redux4.useSelector)(import_selectors3.getOnboardingState);
  const { tenant_token: tenantToken } = (0, import_react_redux4.useSelector)(import_selectors3.getOrganization);
  const { Integration: version } = (0, import_react_redux4.useSelector)(import_selectors3.getFullVersionInformation);
  const { token } = (0, import_react_redux4.useSelector)(import_selectors3.getCurrentSession);
  const { hasMonitor } = (0, import_react_redux4.useSelector)(import_selectors3.getTenantCapabilities);
  const dispatch = (0, import_react_redux4.useDispatch)();
  (0, import_react7.useEffect)(() => {
    dispatch((0, import_thunks3.setOnboardingApproach)("physical"));
  }, [dispatch]);
  const onSelect = (e, deviceType, reason) => {
    if (reason === "selectOption") {
      dispatch((0, import_thunks3.setOnboardingDeviceType)(deviceType.value));
      setSelection(deviceType.value);
    } else if (reason === "clear") {
      dispatch((0, import_thunks3.setOnboardingDeviceType)(""));
      setSelection("");
    }
  };
  const hasConvertedImage = !!selection && selection.length && (selection.startsWith("raspberrypi3") || selection.startsWith("raspberrypi4"));
  const ComponentToShow = steps[progress];
  return /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
    ComponentToShow,
    {
      advanceOnboarding: (step) => dispatch((0, import_thunks3.advanceOnboarding)(step)),
      hasConvertedImage,
      hasExternalIntegration,
      hasMonitor,
      integrationProvider,
      ipAddress,
      isEnterprise,
      isHosted,
      isDemoMode,
      isPreRelease,
      onboardingState,
      onSelect,
      selection,
      tenantToken,
      token,
      version
    }
  );
};
var physicaldeviceonboarding_default = PhysicalDeviceOnboarding;

// src/dialogs/virtualdeviceonboarding.js
var import_react8 = __toESM(require("react"), 1);
var import_react_redux5 = require("react-redux");
var import_selectors4 = require("@northern.tech/store/selectors");
var import_thunks4 = require("@northern.tech/store/thunks");
var import_jsx_runtime9 = require("react/jsx-runtime");
var getDemoDeviceCreationCommand = (tenantToken, demoArtifactPort) => tenantToken ? `TENANT_TOKEN='${tenantToken}'
docker run -it -p ${demoArtifactPort}:${demoArtifactPort} -e SERVER_URL='https://${window.location.hostname}' \\
-e TENANT_TOKEN=$TENANT_TOKEN --pull=always mendersoftware/mender-client-qemu` : "./demo --client up";
var VirtualDeviceOnboarding = () => {
  const dispatch = (0, import_react_redux5.useDispatch)();
  const { isHosted } = (0, import_react_redux5.useSelector)(import_selectors4.getFeatures);
  const { tenant_token: tenantToken } = (0, import_react_redux5.useSelector)(import_selectors4.getOrganization);
  const demoArtifactPort = (0, import_react_redux5.useSelector)((state) => state.onboarding.demoArtifactPort);
  (0, import_react8.useEffect)(() => {
    dispatch((0, import_thunks4.setOnboardingApproach)("virtual"));
  }, [dispatch]);
  const codeToCopy = getDemoDeviceCreationCommand(tenantToken, demoArtifactPort);
  return /* @__PURE__ */ (0, import_jsx_runtime9.jsxs)("div", { children: [
    isHosted ? /* @__PURE__ */ (0, import_jsx_runtime9.jsxs)("div", { children: [
      /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("b", { children: "1. Get Docker Engine" }),
      /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("p", { children: "If you do not have it already, please install Docker on your local machine." }),
      /* @__PURE__ */ (0, import_jsx_runtime9.jsxs)("p", { children: [
        "For example if you are using Ubuntu follow this tutorial:",
        " ",
        /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("a", { href: "https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/", target: "_blank", rel: "noopener noreferrer", children: "https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/" })
      ] })
    ] }) : /* @__PURE__ */ (0, import_jsx_runtime9.jsxs)("div", { children: [
      /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("b", { children: "1. Prerequisites" }),
      /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("p", { children: "As you are running Mender on-premise, for these instructions we assume that you already have Docker installed and the Mender integration environment up and running on your machine." }),
      /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("p", { children: "To start a virtual device, change directory into the folder where you cloned Mender integration." })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("p", { children: /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("b", { children: "2. Copy & paste and run the following command to start the virtual device:" }) }),
    /* @__PURE__ */ (0, import_jsx_runtime9.jsx)(copy_code_default, { code: codeToCopy, withDescription: true }),
    /* @__PURE__ */ (0, import_jsx_runtime9.jsx)("p", { children: "The device should appear in the Pending devices view in a couple of minutes." }),
    /* @__PURE__ */ (0, import_jsx_runtime9.jsxs)("p", { children: [
      "Visit ",
      /* @__PURE__ */ (0, import_jsx_runtime9.jsx)(docslink_default, { path: "get-started/preparation/prepare-a-virtual-device", title: "our documentation" }),
      " for more information on managing the virtual device."
    ] })
  ] });
};
var virtualdeviceonboarding_default = VirtualDeviceOnboarding;

// src/dialogs/deviceconnectiondialog.js
var import_jsx_runtime10 = require("react/jsx-runtime");
var useStyles5 = (0, import_mui5.makeStyles)()((theme) => ({
  rpiQuickstart: {
    backgroundColor: theme.palette.background.lightgrey
  },
  virtualLogo: { height: 40, marginLeft: theme.spacing(2) }
}));
var DeviceConnectionExplainer = ({ hasMonitor, setOnDevice, setVirtualDevice }) => {
  const { classes } = useStyles5();
  return /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)(import_jsx_runtime10.Fragment, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("p", { children: "You can connect almost any device and Linux OS with Mender, but to make things simple during evaluation we recommend you use a Raspberry Pi as a test device." }),
    /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)("div", { className: `padding-small padding-top-none rpi-quickstart ${classes.rpiQuickstart}`, children: [
      /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("h3", { children: "Raspberry Pi quick start" }),
      /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("p", { children: "We'll walk you through the steps to connect a Raspberry Pi and deploy your first update with Mender." }),
      /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)("div", { className: "flexbox column centered", children: [
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("div", { className: "flexbox centered os-list", children: [raspberrypi_default, raspberrypi4_default].map((tile, index) => /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("img", { src: tile }, `tile-${index}`)) }),
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(import_material6.Button, { variant: "contained", color: "secondary", onClick: () => setOnDevice(true), children: "Get Started" })
      ] })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)("div", { className: "two-columns margin-top", children: [
      /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)("div", { className: "padding-small padding-top-none", children: [
        /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)("div", { className: "flexbox center-aligned", children: [
          /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("h3", { children: "Use a virtual device" }),
          /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("img", { src: docker_default, className: classes.virtualLogo })
        ] }),
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("p", { className: "margin-top-none", children: "Don't have a Raspberry Pi?" }),
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("p", { children: "You can use our Docker-run virtual device to go through the same tutorial." }),
        hasMonitor && /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(infotext_default, { className: "slightly-smaller", children: "If you want to evaluate our commercial components such as mender-monitor, please use a physical device instead as the virtual client does not support these components at this time." }),
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("a", { onClick: () => setVirtualDevice(true), children: "Try a virtual device" })
      ] }),
      /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)("div", { className: "padding-small padding-top-none", children: [
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("h3", { children: "Other devices" }),
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("div", { children: "See the documentation to integrate the following with Mender:" }),
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("ul", { children: [
          { key: "debian", target: "operating-system-updates-debian-family", title: "Debian family" },
          { key: "yocto", target: "operating-system-updates-yocto-project", title: "Yocto OSes" }
        ].map((item) => /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("li", { children: /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(docslink_default, { path: item.target, title: item.title }) }, item.key)) }),
        "Or visit ",
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("a", { href: "https://hub.mender.io/c/board-integrations", target: "_blank", rel: "noopener", children: "Mender Hub" }),
        " ",
        "and search integrations for your device and OS."
      ] })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(MenderHelpTooltip, { id: HELPTOOLTIPS.deviceSupportTip.id, style: { position: "absolute", bottom: "2.5%", left: "88%" } })
  ] });
};
var DeviceConnectionDialog = ({ onCancel }) => {
  const [onDevice, setOnDevice] = (0, import_react9.useState)(false);
  const [progress, setProgress] = (0, import_react9.useState)(1);
  const [virtualDevice, setVirtualDevice] = (0, import_react9.useState)(false);
  const { pending: pendingCount } = (0, import_react_redux6.useSelector)(import_selectors5.getDeviceCountsByStatus);
  const [pendingDevicesCount] = (0, import_react9.useState)(pendingCount);
  const [hasMoreDevices, setHasMoreDevices] = (0, import_react9.useState)(false);
  const { hasMonitor } = (0, import_react_redux6.useSelector)(import_selectors5.getTenantCapabilities);
  const { complete: onboardingComplete, deviceType: onboardingDeviceType } = (0, import_react_redux6.useSelector)(import_selectors5.getOnboardingState);
  const dispatch = (0, import_react_redux6.useDispatch)();
  const navigate = (0, import_react_router_dom2.useNavigate)();
  (0, import_react9.useEffect)(() => {
    setHasMoreDevices(pendingCount > pendingDevicesCount);
  }, [pendingDevicesCount, pendingCount]);
  (0, import_react9.useEffect)(() => {
    if ((virtualDevice || progress >= 2) && hasMoreDevices && !window.location.hash.includes("pending")) {
      dispatch((0, import_thunks5.advanceOnboarding)(import_constants6.onboardingSteps.DASHBOARD_ONBOARDING_START));
      dispatch((0, import_thunks5.setDeviceListState)({ state: import_constants6.DEVICE_STATES.pending }));
      navigate("/devices/pending");
    }
    if (virtualDevice || progress >= 2) {
      dispatch((0, import_thunks5.saveUserSettings)({ onboarding: { deviceConnection: (/* @__PURE__ */ new Date()).toISOString() } }));
    }
  }, [dispatch, hasMoreDevices, navigate, progress, virtualDevice]);
  const onBackClick = () => {
    let updatedProgress = progress - 1;
    if (!updatedProgress) {
      updatedProgress = 1;
      setOnDevice(false);
      setVirtualDevice(false);
    }
    setProgress(updatedProgress);
  };
  const onAdvance = () => {
    dispatch((0, import_thunks5.advanceOnboarding)(import_constants6.onboardingSteps.DASHBOARD_ONBOARDING_START));
    setProgress(progress + 1);
  };
  let content = /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(DeviceConnectionExplainer, { hasMonitor, setOnDevice, setVirtualDevice });
  if (onDevice) {
    content = /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(physicaldeviceonboarding_default, { progress });
  } else if (virtualDevice) {
    content = /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(virtualdeviceonboarding_default, {});
  }
  if (hasMoreDevices && !onboardingComplete) {
    setTimeout(onCancel, import_constants6.TIMEOUTS.twoSeconds);
  }
  return /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)(import_material6.Dialog, { open: true, PaperProps: { sx: { maxWidth: "720px" } }, children: [
    /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(import_material6.DialogTitle, { children: "Connecting a device" }),
    /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(import_material6.DialogContent, { className: "onboard-dialog", style: { margin: "0 30px" }, children: content }),
    /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)(import_material6.DialogActions, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(import_material6.Button, { onClick: onCancel, children: "Cancel" }),
      /* @__PURE__ */ (0, import_jsx_runtime10.jsx)("div", { style: { flexGrow: 1 } }),
      (onDevice || virtualDevice) && /* @__PURE__ */ (0, import_jsx_runtime10.jsxs)("div", { children: [
        /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(import_material6.Button, { onClick: onBackClick, children: "Back" }),
        progress < 2 && (!virtualDevice || progress < 1) ? /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(import_material6.Button, { variant: "contained", disabled: !(virtualDevice || onDevice && onboardingDeviceType), onClick: onAdvance, children: "Next" }) : /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(
          import_material6.Button,
          {
            variant: "contained",
            disabled: !onboardingComplete,
            onClick: onCancel,
            endIcon: !onboardingComplete && /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(loader_default, { show: true, small: true, table: true, style: { top: -24 } }),
            children: onboardingComplete ? "Close" : "Waiting for device"
          }
        )
      ] })
    ] })
  ] });
};

// src/dialogs/feedback.tsx
var import_react10 = require("react");
var import_react_redux7 = require("react-redux");
var import_icons_material5 = require("@mui/icons-material");
var import_material7 = require("@mui/material");
var import_mui6 = require("tss-react/mui");
var import_actions3 = __toESM(require("@northern.tech/store/actions"), 1);
var import_constants7 = require("@northern.tech/store/constants");
var import_thunks6 = require("@northern.tech/store/thunks");
var import_utils = require("@northern.tech/store/utils");
var import_jsx_runtime11 = require("react/jsx-runtime");
var { setShowFeedbackDialog } = import_actions3.default;
var useStyles6 = (0, import_mui6.makeStyles)()((theme) => ({
  root: {
    pointerEvents: "none",
    [`.${import_material7.dialogClasses.paper}`]: { width: 350, bottom: 0, right: 0, position: "absolute" },
    [`.${import_material7.dialogTitleClasses.root}`]: {
      alignSelf: "flex-end",
      padding: 0,
      [`.${import_material7.iconButtonClasses.root}`]: { marginBottom: theme.spacing(-1) }
    },
    ".title": {
      color: (0, import_utils.isDarkMode)(theme.palette.mode) ? (0, import_material7.lighten)(theme.palette.primary.main, 0.85) : "inherit"
    }
  },
  columns: { gap: theme.spacing(2) },
  rating: {
    [`.${import_material7.iconButtonClasses.root}`]: {
      borderRadius: theme.shape.borderRadius,
      height: theme.spacing(6),
      width: theme.spacing(6),
      backgroundColor: (0, import_utils.isDarkMode)(theme.palette.mode) ? (0, import_material7.darken)(theme.palette.primary.main, 0.45) : (0, import_material7.lighten)(theme.palette.primary.main, 0.85),
      color: theme.palette.primary.main,
      "&:hover": {
        backgroundColor: theme.palette.primary.main,
        color: (0, import_material7.lighten)(theme.palette.primary.main, 0.85)
      }
    }
  },
  text: { [`.${import_material7.textFieldClasses.root}`]: { marginTop: 0 }, ".submitButton": { alignSelf: "start" } }
}));
var satisfactionLevels = [
  { Icon: import_icons_material5.SentimentVeryDissatisfiedOutlined, title: "Very Dissatisfied" },
  { Icon: import_icons_material5.SentimentVeryDissatisfied, title: "Dissatisfied" },
  { Icon: import_icons_material5.SentimentNeutral, title: "Neutral" },
  { Icon: import_icons_material5.SentimentSatisfiedAlt, title: "Satisfied" },
  { Icon: import_icons_material5.SentimentVerySatisfiedOutlined, title: "Very Satisfied" }
];
var explanations = ["Very unsatisfied", "Very satisfied"];
var SatisfactionGauge = ({ classes, setSatisfaction }) => {
  return /* @__PURE__ */ (0, import_jsx_runtime11.jsxs)("div", { className: `flexbox column ${classes.columns}`, children: [
    /* @__PURE__ */ (0, import_jsx_runtime11.jsx)("div", { className: "title", children: "How satisfied are you with Mender?" }),
    /* @__PURE__ */ (0, import_jsx_runtime11.jsx)("div", { className: `flexbox space-between ${classes.rating}`, children: satisfactionLevels.map(({ Icon, title }, index) => /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(import_material7.IconButton, { onClick: () => setSatisfaction(index), title, children: /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(Icon, { fontSize: "large" }) }, `satisfaction-${index}`)) }),
    /* @__PURE__ */ (0, import_jsx_runtime11.jsx)("div", { className: "flexbox space-between muted", children: explanations.map((explanation, index) => /* @__PURE__ */ (0, import_jsx_runtime11.jsx)("div", { className: "slightly-smaller", children: explanation }, `explanation-${index}`)) })
  ] });
};
var TextEntry = ({ classes, feedback, onChangeFeedback, onSubmit }) => /* @__PURE__ */ (0, import_jsx_runtime11.jsxs)("div", { className: `flexbox column ${classes.columns} ${classes.text}`, children: [
  /* @__PURE__ */ (0, import_jsx_runtime11.jsx)("div", { className: "title", children: "What do you think is the most important thing to improve in Mender? (optional)" }),
  /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(
    import_material7.TextField,
    {
      placeholder: "Your feedback",
      multiline: true,
      minRows: 4,
      onChange: ({ target: { value } }) => onChangeFeedback(value),
      value: feedback,
      variant: "outlined"
    }
  ),
  /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(import_material7.Button, { className: "submitButton", variant: "contained", onClick: onSubmit, children: "Submit Feedback" })
] });
var AppreciationNote = () => /* @__PURE__ */ (0, import_jsx_runtime11.jsx)("p", { className: "margin-top-none align-center title", children: "Thank you for taking the time to share your thoughts!" });
var progressionLevels = [SatisfactionGauge, TextEntry, AppreciationNote];
var FeedbackDialog = () => {
  const [progress, setProgress] = (0, import_react10.useState)(0);
  const [satisfaction, setSatisfaction] = (0, import_react10.useState)(-1);
  const [feedback, setFeedback] = (0, import_react10.useState)("");
  const dispatch = (0, import_react_redux7.useDispatch)();
  const isInitialized = (0, import_react10.useRef)(false);
  const { classes } = useStyles6();
  (0, import_react10.useEffect)(() => {
    if (!isInitialized.current) {
      return;
    }
    setProgress((current) => current + 1);
  }, [satisfaction]);
  (0, import_react10.useEffect)(() => {
    setTimeout(() => isInitialized.current = true, import_constants7.TIMEOUTS.oneSecond);
  }, []);
  const onCloseClick = () => dispatch(setShowFeedbackDialog(false));
  const onSubmit = () => {
    setProgress(progress + 1);
    dispatch((0, import_thunks6.submitFeedback)({ satisfaction: satisfactionLevels[satisfaction].title, feedback }));
  };
  const Component = progressionLevels[progress];
  return /* @__PURE__ */ (0, import_jsx_runtime11.jsxs)(import_material7.Dialog, { className: classes.root, open: true, hideBackdrop: true, disableEnforceFocus: true, PaperProps: { style: { pointerEvents: "auto" } }, children: [
    /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(import_material7.DialogTitle, { children: /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(import_material7.IconButton, { onClick: onCloseClick, "aria-label": "close", size: "small", children: /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(import_icons_material5.Close, {}) }) }),
    /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(import_material7.DialogContent, { children: /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(Component, { classes, feedback, setSatisfaction, onChangeFeedback: setFeedback, onSubmit }) })
  ] });
};

// src/dialogs/log.js
var import_react11 = __toESM(require("react"), 1);
var import_react_copy_to_clipboard2 = __toESM(require("react-copy-to-clipboard"), 1);
var import_material8 = require("@mui/material");
var import_helpers3 = require("@northern.tech/utils/helpers");
var import_jsx_runtime12 = require("react/jsx-runtime");
var wrapperStyle = { marginRight: 10, display: "inline-block" };
var dialogTypes = {
  "deviceLog": {
    title: "Deployment log for device",
    filename: ({ device, releaseName, date }) => `deployment-log-${device}-${releaseName}-${date}.log`
  },
  "configUpdateLog": {
    title: "Config update log for device",
    filename: () => "configuration-update.log"
  }
};
var LogDialog2 = ({ context = {}, logData = "", onClose, type = "deviceLog" }) => {
  const [copied, setCopied] = (0, import_react11.useState)(false);
  const exportLog = () => (0, import_helpers3.createFileDownload)(logData, dialogTypes[type].filename(context), "");
  return /* @__PURE__ */ (0, import_jsx_runtime12.jsxs)(import_material8.Dialog, { open: true, maxWidth: "lg", children: [
    /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(import_material8.DialogTitle, { children: dialogTypes[type].title }),
    /* @__PURE__ */ (0, import_jsx_runtime12.jsxs)(import_material8.DialogContent, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(Code, { className: "log", children: logData }),
      /* @__PURE__ */ (0, import_jsx_runtime12.jsx)("p", { style: { marginLeft: 24 }, children: copied && /* @__PURE__ */ (0, import_jsx_runtime12.jsx)("span", { className: "green fadeIn", children: "Copied to clipboard." }) })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime12.jsxs)(import_material8.DialogActions, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime12.jsx)("div", { style: wrapperStyle, children: /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(import_material8.Button, { onClick: onClose, children: "Cancel" }) }),
      /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(import_react_copy_to_clipboard2.default, { style: wrapperStyle, text: logData, onCopy: () => setCopied(true), children: /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(import_material8.Button, { children: "Copy to clipboard" }) }),
      /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(import_material8.Button, { variant: "contained", color: "primary", onClick: exportLog, children: "Export log" })
    ] })
  ] });
};

// src/dialogs/startupnotification.js
var import_react12 = __toESM(require("react"), 1);
var import_react_redux8 = require("react-redux");
var import_material9 = require("@mui/material");
var import_actions4 = __toESM(require("@northern.tech/store/actions"), 1);
var import_constants8 = require("@northern.tech/store/constants");
var import_selectors6 = require("@northern.tech/store/selectors");
var import_thunks7 = require("@northern.tech/store/thunks");
var import_debouncehook3 = require("@northern.tech/utils/debouncehook");

// ../../assets/img/headerlogo.png
var headerlogo_default = "../headerlogo-QQW3XP5Y.png";

// ../../assets/img/whiteheaderlogo.png
var whiteheaderlogo_default = "../whiteheaderlogo-76DNCTF3.png";

// src/dialogs/startupnotification.js
var import_jsx_runtime13 = require("react/jsx-runtime");
var { setShowStartupNotification } = import_actions4.default;
var OfflineThresholdContent = () => /* @__PURE__ */ (0, import_jsx_runtime13.jsxs)(import_jsx_runtime13.Fragment, { children: [
  "In our continuous efforts to enhance performance and to ensure the stability of our service, we have made adjustments to how granular device connectivity can be checked.",
  /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("h4", { children: "What's changing:" }),
  /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("ul", { children: /* @__PURE__ */ (0, import_jsx_runtime13.jsxs)("li", { children: [
    /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("i", { children: "Offline threshold" }),
    " setting: if a device no longer connects with the server, it may take up to 1 day until it is shown as an offline device in the UI."
  ] }) }),
  "More granular connectivity information will still be reflected in the device details.",
  /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("h4", { children: "Why are we changing this:" }),
  /* @__PURE__ */ (0, import_jsx_runtime13.jsxs)("ul", { children: [
    /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("li", { children: "Performance Improvements: Less frequent updates allow us to better optimize the platform and improve overall performance." }),
    /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("li", { children: "Stability: This change helps ensure that our backend will remain stable while serving an ever growing number of devices and potential disruptions are minimized." })
  ] }),
  "We appreciate your understanding and cooperation as we implement these improvements. Our commitment to providing you with a reliable and high-performing platform remains our top priority.",
  /* @__PURE__ */ (0, import_jsx_runtime13.jsx)(import_material9.Divider, { className: "margin-top-small margin-bottom-small" }),
  "If you have any questions or concerns regarding this change, please do not hesitate to",
  " ",
  /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("a", { href: "mailto:support@mender.io", target: "_blank", rel: "noopener noreferrer", children: "contact our team" }),
  "."
] });
var notifications = {
  offlineThreshold: {
    Content: OfflineThresholdContent,
    action: ({ dispatch }) => dispatch((0, import_thunks7.saveGlobalSettings)({ offlineThreshold: { interval: 1, intervalUnit: import_constants8.DEVICE_ONLINE_CUTOFF.intervalName } }))
  }
};
var StartupNotificationDialog = () => {
  const [isAllowedToClose] = (0, import_react12.useState)(false);
  const dispatch = (0, import_react_redux8.useDispatch)();
  const isDarkMode2 = (0, import_react_redux8.useSelector)(import_selectors6.getIsDarkMode);
  const { action, Content } = notifications.offlineThreshold;
  const debouncedCloseGuard = (0, import_debouncehook3.useDebounce)(isAllowedToClose, import_constants8.TIMEOUTS.fiveSeconds);
  const onClose = () => {
    action({ dispatch });
    dispatch(setShowStartupNotification(false));
  };
  const headerLogo = isDarkMode2 ? whiteheaderlogo_default : headerlogo_default;
  return /* @__PURE__ */ (0, import_jsx_runtime13.jsxs)(import_material9.Dialog, { open: true, PaperProps: { className: "padding-small", sx: { maxWidth: 720 } }, children: [
    /* @__PURE__ */ (0, import_jsx_runtime13.jsxs)(import_material9.DialogTitle, { className: "flexbox center-aligned", children: [
      /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("img", { src: headerLogo, style: { maxHeight: 75 } }),
      /* @__PURE__ */ (0, import_jsx_runtime13.jsx)("div", { className: "margin-left-small", children: "Welcome back!" })
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime13.jsx)(import_material9.DialogContent, { className: "margin-left-small margin-right-small", children: /* @__PURE__ */ (0, import_jsx_runtime13.jsx)(Content, {}) }),
    /* @__PURE__ */ (0, import_jsx_runtime13.jsx)(import_material9.DialogActions, { children: /* @__PURE__ */ (0, import_jsx_runtime13.jsx)(import_material9.Button, { variant: "contained", disabled: debouncedCloseGuard, onClick: onClose, children: "Close" }) })
  ] });
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ConfirmDismissHelptips,
  ConvertedImageNote,
  DeviceConnectionDialog,
  DeviceTypeSelectionStep,
  ExternalProviderTip,
  FeedbackDialog,
  InstallationStep,
  LogDialog,
  PhysicalDeviceOnboarding,
  StartupNotificationDialog,
  VirtualDeviceOnboarding,
  getDemoDeviceCreationCommand
});
//# sourceMappingURL=index.cjs.map