import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as redux_thunk from 'redux-thunk';
import * as redux from 'redux';

declare const deriveDeploymentGroup: ({ filter, group, groups, name }: {
    filter?: {} | undefined;
    group: any;
    groups?: never[] | undefined;
    name: any;
}) => any;
declare const getDeploymentsByStatus: _reduxjs_toolkit.AsyncThunk<({
    payload: any;
    type: "deployments/receivedDeployments";
} | {
    payload: any;
    type: "deployments/receivedDeploymentsForStatus";
})[], void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const createDeployment: _reduxjs_toolkit.AsyncThunk<any, void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const getDeploymentDevices: _reduxjs_toolkit.AsyncThunk<{
    payload: any;
    type: "deployments/receivedDeploymentDevices";
}[], void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const getDeviceDeployments: _reduxjs_toolkit.AsyncThunk<{
    payload: any;
    type: "devices/receivedDevice";
}, void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const resetDeviceDeployments: _reduxjs_toolkit.AsyncThunk<_reduxjs_toolkit.PayloadAction<{
    payload: any;
    type: "devices/receivedDevice";
}, string, {
    arg: void;
    requestId: string;
    requestStatus: "fulfilled";
}, never> | _reduxjs_toolkit.PayloadAction<unknown, string, {
    arg: void;
    requestId: string;
    requestStatus: "rejected";
    aborted: boolean;
    condition: boolean;
} & ({
    rejectedWithValue: true;
} | ({
    rejectedWithValue: false;
} & {})), _reduxjs_toolkit.SerializedError>, void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const getSingleDeployment: _reduxjs_toolkit.AsyncThunk<{
    payload: any;
    type: "deployments/receivedDeployment";
}, void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const getDeviceLog: _reduxjs_toolkit.AsyncThunk<[{
    payload: any;
    type: "deployments/receivedDeploymentDeviceLog";
}, any], void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const abortDeployment: _reduxjs_toolkit.AsyncThunk<[{
    payload: any;
    type: "deployments/receivedDeployments";
}, {
    payload: any;
    type: "deployments/receivedDeploymentsForStatus";
}, {
    payload: any;
    type: "deployments/removedDeployment";
}, {
    payload: any;
    type: "app/setSnackbar";
}], void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const updateDeploymentControlMap: _reduxjs_toolkit.AsyncThunk<_reduxjs_toolkit.PayloadAction<unknown, string, {
    arg: void;
    requestId: string;
    requestStatus: "rejected";
    aborted: boolean;
    condition: boolean;
} & ({
    rejectedWithValue: true;
} | ({
    rejectedWithValue: false;
} & {})), _reduxjs_toolkit.SerializedError> | _reduxjs_toolkit.PayloadAction<{
    payload: any;
    type: "deployments/receivedDeployment";
}, string, {
    arg: void;
    requestId: string;
    requestStatus: "fulfilled";
}, never>, void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const setDeploymentsState: _reduxjs_toolkit.AsyncThunk<{
    payload: any;
    type: "deployments/setDeploymentsState";
}[], void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const getDeploymentsConfig: _reduxjs_toolkit.AsyncThunk<{
    payload: any;
    type: "deployments/setDeploymentsConfig";
}, void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction>;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;
declare const saveDeltaDeploymentsConfig: _reduxjs_toolkit.AsyncThunk<unknown, void, {
    state?: unknown;
    dispatch?: redux_thunk.ThunkDispatch<unknown, unknown, redux.UnknownAction> | undefined;
    extra?: unknown;
    rejectValue?: unknown;
    serializedErrorType?: unknown;
    pendingMeta?: unknown;
    fulfilledMeta?: unknown;
    rejectedMeta?: unknown;
}>;

export { abortDeployment, createDeployment, deriveDeploymentGroup, getDeploymentDevices, getDeploymentsByStatus, getDeploymentsConfig, getDeviceDeployments, getDeviceLog, getSingleDeployment, resetDeviceDeployments, saveDeltaDeploymentsConfig, setDeploymentsState, updateDeploymentControlMap };
