import {
  extractErrorMessage,
  preformatWithRequestID
} from "./chunk-JAZWYW4U.js";

// src/retrytimer.js
import { TIMEOUTS } from "@northern.tech/store/constants";
var timers = {};
function setRetryTimer(err, service, errorContext, timeLeft, setSnackbar) {
  if (timers[service]) {
    return;
  }
  let remaining = timeLeft - TIMEOUTS.oneSecond;
  timers[service] = setInterval(() => {
    remaining -= TIMEOUTS.oneSecond;
    const errMsg = extractErrorMessage(err, "Please check your connection.");
    remaining > 0 ? setSnackbar(preformatWithRequestID(err.response, `${errorContext} ${errMsg} Retrying in ${remaining / 1e3} seconds`)) : clearRetryTimer(service, setSnackbar);
  }, TIMEOUTS.oneSecond);
}
function clearRetryTimer(service, setSnackbar) {
  if (timers[service]) {
    clearInterval(timers[service]);
    delete timers[service];
    setSnackbar("");
  }
}
function clearAllRetryTimers(setSnackbar) {
  Object.keys(timers).map((service) => clearRetryTimer(service, setSnackbar));
  setSnackbar("");
}

export {
  setRetryTimer,
  clearRetryTimer,
  clearAllRetryTimers
};
//# sourceMappingURL=chunk-LDES5QKD.js.map